Uploaded image for project: 'Qt'
  1. Qt
  2. QTBUG-97155

Qt 6.2.0 does not produce working Quick App with emsdk >= 2.0.16

    XMLWordPrintable

    Details

    • Type: Bug
    • Status: Open
    • Priority: P3: Somewhat important
    • Resolution: Unresolved
    • Affects Version/s: 6.2.0
    • Fix Version/s: None
    • Component/s: Other
    • Labels:
      None
    • Environment:
      Windows 10 20H2 (Build 19042.1237)
      emsdk 2.0.16-2.0.31
      Chrome Version 94.0.4606.71 (Offizieller Build) (64-Bit)
      Firefox 92.0.1 (64-Bit)

      Description

      I built Qt from source for different emsdk versions and noticed it stops working with emsdk v2.0.16(I tested also with 2.0.31, 2.0.23, 2.0.19, 2.0.17).

      It works with v2.0.14 and v2.0.15.

      My test app was the CMake empty Quick app template from QtCreator with a HelloWorld Text element to show something.

       

      The app shows only the app exited screen after loading:

      Chrome does not show any error in the console.

      Firefox shows this:

       

      I guess you are aware about it but I found no existing bug. The system requirements state emsdk >2.0.14 so I would have expected it to work.

       

        Attachments

        No reviews matched the request. Check your Options in the drop-down menu of this sections header.

          Activity

            People

            Assignee:
            lpotter Lorn Potter
            Reporter:
            Marscho Marscho
            Votes:
            1 Vote for this issue
            Watchers:
            2 Start watching this issue

              Dates

              Created:
              Updated:

                Gerrit Reviews

                There are no open Gerrit changes